Subject: draft-ietf-ipr-wg-guidelines-01.txt submitted

From: Scott W Brim <[email-masked]>
Date: Tue, 18 Feb 2003 17:46:48 -0500

I just submitted the -01 version of working group guidelines.  Watch for
the announcement in a day or two.  If the comments that accumulate
between now and the end of February are substantive, I'll submit a -02
at that time.  If they're editorial I'll just save them up.

Attached below is a diff.

swb

--- draft-ietf-ipr-wg-guidelines-00.txt	2003-01-30 20:26:08.000000000 -0500
+++ draft-ietf-ipr-wg-guidelines-01.txt	2003-02-18 15:46:56.000000000 -0500
@@ -1,12 +1,13 @@

-IPR                                                              S. Brim
+
+IPR Working Group                                                S. Brim
 Internet-Draft                                       Cisco Systems, Inc.
-Expires: April 25, 2003                                 October 25, 2002
+Expires: August 19, 2003                               February 18, 2003

      Guidelines for Working Groups on Intellectual Property Issues
-                    draft-ietf-ipr-wg-guidelines-00
+                    draft-ietf-ipr-wg-guidelines-01
 
 Status of this Memo
 
@@ -14,9 +15,8 @@
    all provisions of Section 10 of RFC2026.
 
    Internet-Drafts are working documents of the Internet Engineering
-   Task Force (IETF), its areas, and its working groups.  Note that
-   other groups may also distribute working documents as Internet-
-   Drafts.
+   Task Force (IETF), its areas, and its working groups. Note that other
+   groups may also distribute working documents as Internet-Drafts.
 
    Internet-Drafts are draft documents valid for a maximum of six months
    and may be updated, replaced, or obsoleted by other documents at any
@@ -29,11 +29,11 @@
    The list of Internet-Draft Shadow Directories can be accessed at
    http://www.ietf.org/shadow.html.
 
-   This Internet-Draft will expire on April 25, 2003.
+   This Internet-Draft will expire on August 19, 2003.
 
 Copyright Notice
 
-   Copyright (C) The Internet Society (2002).  All Rights Reserved.
+   Copyright (C) The Internet Society (2003). All Rights Reserved.
 
 Abstract
 
@@ -52,9 +52,10 @@

-Brim                     Expires April 25, 2003                 [Page 1]
 
-Internet-Draft             WG IPR Guidelines                October 2002
+Brim                    Expires August 19, 2003                 [Page 1]
+
+Internet-Draft             WG IPR Guidelines               February 2003

 Table of Contents
@@ -66,21 +67,21 @@
    4.1 IPS WG (IP Storage)  . . . . . . . . . . . . . . . . . . . . .  5
    4.2 PEM and PKI issues . . . . . . . . . . . . . . . . . . . . . .  5
    4.3 CDI WG (Content Distribution Internetworking)  . . . . . . . .  6
-   4.4 VRRP (Virtual Router Redundancy Protocol)  . . . . . . . . . .  7
+   4.4 VRRP (Virtual Router Redundancy Protocol)  . . . . . . . . . .  6
    4.5 Secure Shell (SecSH) . . . . . . . . . . . . . . . . . . . . .  7
    4.6 IDN (Internationalized Domain Name)  . . . . . . . . . . . . .  7
    5.  General Principles . . . . . . . . . . . . . . . . . . . . . .  9
    5.1 Types of IPR . . . . . . . . . . . . . . . . . . . . . . . . .  9
    5.2 When to think about IPR  . . . . . . . . . . . . . . . . . . .  9
    5.3 IPR as a Technology Evaluation Factor  . . . . . . . . . . . . 10
-   5.4 Patents versus Pending Patents . . . . . . . . . . . . . . . . 11
+   5.4 Patents versus Pending Patents Applied For . . . . . . . . . . 11
    5.5 Applicability: It's Hard to Prove a Negative . . . . . . . . . 11
    5.6 No Universal License Terms . . . . . . . . . . . . . . . . . . 12
-   6.  Security Considerations  . . . . . . . . . . . . . . . . . . . 13
-       References (Non-Normative) . . . . . . . . . . . . . . . . . . 13
-       Author's Address . . . . . . . . . . . . . . . . . . . . . . . 14
-       Full Copyright Statement . . . . . . . . . . . . . . . . . . . 15
-
+   5.7 Third Party Disclosure . . . . . . . . . . . . . . . . . . . . 13
+   6.  Security Considerations  . . . . . . . . . . . . . . . . . . . 14
+       Informative References . . . . . . . . . . . . . . . . . . . . 15
+       Author's Address . . . . . . . . . . . . . . . . . . . . . . . 15
+       Intellectual Property and Copyright Statements . . . . . . . . 16

@@ -108,38 +109,37 @@

-Brim                     Expires April 25, 2003                 [Page 2]
+Brim                    Expires August 19, 2003                 [Page 2]
 
-Internet-Draft             WG IPR Guidelines                October 2002
+Internet-Draft             WG IPR Guidelines               February 2003

 1. Introduction
 
    This memo lays out a conceptual framework and rules of thumb for
    working groups dealing with IPR issues.  The goal is to achieve a
-   balance between the needs of IPR holders and the implementers of the
-   Internet which is appropriate to current times.  As part of trying to
-   distill out principles for dealing with IPR in IETF working groups,
-   it provides case studies of treatments of IPR issues that have
-   already been worked out.  In other words, it documents the running
-   code of the IETF process.
+   balance between the needs of IPR claimants and the implementers of
+   the Internet which is appropriate to current times.  As part of
+   trying to distill out principles for dealing with IPR in IETF working
+   groups, it provides case studies of treatments of IPR issues that
+   have already been worked out.  In other words, it documents the
+   running code of the IETF process.
 
    This memo does not describe IPR procedures for document authors or
-   IPR asserters.  Those are covered in two other memos coming out of
-   the IPR working group, on IPR in the IETF [5] and submitters' rights
-   [6].  Rather, this memo is for working groups that are trying to
-   decide what to do about IPR-protected technology contributions.
+   IPR claimants.  Those are covered in two other memos, on IPR in the
+   IETF [5] and submitters' rights [6]. Rather, this memo is for working
+   groups that are trying to decide what to do about IPR-protected
+   technology contributions.
 
 2. The Problem
 
    Traditionally the IETF has tried to avoid technologies which were
-   "protected" through IPR assertions.  However, compromises have been
-   made since before the IETF was born.  The "common knowledge" of the
-   IETF, that IPR-protected technology was anathema, has never dealt
-   with the fact that the Internet has run on IPR-protected technologies
-   from the beginning.  Nowadays the majority of the useful technologies
-   brought to the IETF have some sort of IPR assertion associated with
-   them.
+   "protected" through IPR claims. However, compromises have been made
+   since before the IETF was born.  The "common knowledge" of the IETF,
+   that IPR-protected technology was anathema, has never dealt with the
+   fact that the Internet has run on IPR-protected technologies from the
+   beginning.  Nowadays the majority of the useful technologies brought
+   to the IETF have some sort of IPR claim associated with them.
 
    It will always be better for the Internet to develop standards based
    on technology which can be used without concern about selective or
@@ -156,42 +156,40 @@
    sign and adhere to in order to participate.  Membership agreements
    may include strict procedures for dealing with IPR, or perhaps a
    requirement that technology must be licensed royalty-free.  This is
-   not possible in the IETF.
+   currently not possible in the IETF.
 
    Even if the IETF had membership agreements, they would be difficult
    to formulate in a way that covered IPR problems, because the IETF's
    work includes technology from other sources and because the IETF
+   collaborates with organizations that work with different approaches

-Brim                     Expires April 25, 2003                 [Page 3]
+Brim                    Expires August 19, 2003                 [Page 3]
 
-Internet-Draft             WG IPR Guidelines                October 2002
+Internet-Draft             WG IPR Guidelines               February 2003

-   collaborates with organizations that work with different approaches
    to intellectual property.  The IETF can encounter four different IPR
    situations, at almost any time during the life of a document:
 
-   o  A draft submitter notes its IPR claim regarding the contents of
-      the draft.
+   o  A document submitter notes its IPR claim regarding the contents of
+      the document.
 
-   o  An IETF participant asserts that the contents of a draft is
+   o  An IETF participant claims that the contents of a document are
       covered by their own IPR.
 
-   o  IPR is noted, by the author of a draft or by a different IETF
+   o  IPR is noted, by the author of a document or by a different IETF
       participant, that is claimed by an organization that does not
       participate in the IETF at all.
 
    o  An organization that does not participate in the IETF, but that
-      monitors its activities, discovers that a draft intersects that
+      monitors its activities, discovers that a document intersects that
       organization's established or pending intellectual property
       claims.  It may come forward right away, or wait and let the IETF
       work progress.
 
-   The IETF does not have detailed rules for each situation.  The IETF
-   does not force IPR-related behavior on anyone.  It only sets criteria
-   for a technology document becoming an Internet standard.  Working
+   The IETF does not have detailed rules for each situation. Working
    groups have essentially only one rule they can invoke -- about
    individuals not participating in activities related to a technology
    if they do not disclose known IPR.  Other than that a working group
@@ -205,61 +203,63 @@
 
 3. The Approach
 
-   The organizing principle of this memo is to give working groups as
-   much information as possible to make informed decisions, and then
-   step out of the way.  The other IPR working group memos (see the IPR
-   Working Group charter page [1]) lay out what needs to be done once a
-   particular piece of technology is selected as a working group draft.
-   That doesn't help when a working group is trying to decide whether to
-   select a technology or not in the first place.  Thus this third memo.
-   We want to build a conceptual framework, a new set of "common
-   knowledge", to make it easier for working groups to deal with
+   The goal of this memo is not to make rules.  It is to give working
+   groups as much information as possible to make informed decisions,
+   and then step out of the way.  The other IPR working group memos (see
+   the IPR Working Group charter page [1]) lay out what needs to be done
+   once a particular piece of technology is selected as a working group
+   draft.  That doesn't help when a working group is trying to decide
+   whether to select a technology or not in the first place. Thus this
+   third memo.  We want to build a conceptual framework, a new set of
+   "common knowledge", to make it easier for working groups to deal with
    intellectual property issues.
 
    To do so, we first present "case studies" in Section 4 -- real events
+   that have happened in recent years, and how different working groups
+   dealt with them -- plus notes on possible lessons to be learned.  In
+   Section 5, we expand on these lessons and try to extract general

-Brim                     Expires April 25, 2003                 [Page 4]
+Brim                    Expires August 19, 2003                 [Page 4]
 
-Internet-Draft             WG IPR Guidelines                October 2002
+Internet-Draft             WG IPR Guidelines               February 2003

-   that have happened in recent years, and how different working groups
-   dealt with them -- plus notes on possible lessons to be learned.  In
-   Section 5, we expand on these lessons to be learned and try to
-   extract general principles.
+   principles.
 
 4. Case Studies
 
-   The best way to know what works is to look at past attempts at
-   dealing with IPR.  The following are selected as cases from which
-   general lessons might be extracted.
+   The best way to know what works in dealing with IPR is to look at
+   past attempts to do so.  The following are selected as cases from
+   which general lessons might be extracted.  Other lessons might be
+   extracted from other cases, but the cases below cover all of the
+   important ones.
 
 4.1 IPS WG (IP Storage)
 
    The IPS Working Group evaluated technology developed outside of the
    working group, "secure remote password" (SRP, RFC2945 [4]).  At the
-   time, there was one known IPR assertion, and the proposed licensing
-   terms were apparently reasonable.  SRP had become a proposed standard
+   time, there was one known IPR claim, and the proposed licensing terms
+   were apparently reasonable.  SRP had become a proposed standard
    without going through any working group, so IETF participants may
    have been less likely to notice it in order to make statements about
    IPR.  In any case, two more possible IPR claims were uncovered after
    the IPS working group had already decided to make SRP required.  One
-   of the possible IPR holders did not make a strong IPR assertion
-   itself, and did not want to take the time to determine whether it
-   actually had a claim, though it acknowledged it might have a claim.
-   Also, in both cases it was difficult to obtain information on
-   possible licensing terms, even though words like reasonable and non-
-   discriminatory were used in IPR statements, and rumors of what they
-   might be did like not sound good.  The working group participants
-   took the assertions, potential and otherwise, very seriously, and
-   decided not to use SRP after all, even though they had already chosen
-   it based on other criteria.
+   of the possible IPR claimants did not make a strong IPR claim itself,
+   and did not want to take the time to determine whether it actually
+   had a claim, though it acknowledged it might have a claim.  In both
+   cases it was difficult to obtain concrete information on possible
+   licensing terms, even though words like "reasonable" and
+   "non-discriminatory" were used in the IPR statements. Rumors of what
+   they might be like did not sound good.  The working group
+   participants took the claims, potential and otherwise, very
+   seriously, and decided not to use SRP after all, even though they had
+   already chosen it based on other criteria.
 
    Lessons:
 
-   o  IPR assertions may appear at any time in the standards process.
+   o  IPR claims may appear at any time in the standards process.
 
    o  Take impreciseness seriously.  Attempt to get clarification on
       both IPR claims and licensing terms.
@@ -273,18 +273,18 @@
    actively enforce its rights, and to prefer software sales to
    licensing.  This was seen as a significant potential issue, one which
    could possibly interfere with the easy development of the Internet.
+   However, there was no alternative technology that came close to its

-Brim                     Expires April 25, 2003                 [Page 5]
+Brim                    Expires August 19, 2003                 [Page 5]
 
-Internet-Draft             WG IPR Guidelines                October 2002
+Internet-Draft             WG IPR Guidelines               February 2003

-   However, there was no alternative technology that came close to its
    capabilities.  Adopting an alternative would have damaged the
    Internet's health and flexibility even more than adopting a
-   technology with IPR assertions.  The case was so compelling that the
+   technology with IPR claims.  The case was so compelling that the
    working group participants decided to move forward on standardizing
    it and even requiring it.
 
@@ -311,9 +311,9 @@
    them, based on work done before the working group was started.  The
    working group participants decided there was little chance of
    producing alternative technologies which were as useful and which did
-   not run up against these IPR assertions.  As usual, there was no good
-   way to evaluate assertions and possible licensing terms until after
-   the technology had been completely specified (at the earliest).
+   not run up against these IPR claims.  As usual, there was no good way
+   to evaluate claims and possible licensing terms until after the
+   technology had been completely specified (at the earliest).
 
    Working group participants generally thought they had a good idea
    what to expect from each other, and that the ultimate benefits of
@@ -327,75 +327,73 @@
       the possible impact of IPR.

+4.4 VRRP (Virtual Router Redundancy Protocol)
 
+   The working group was standardizing VRRP based on a protocol

+Brim                    Expires August 19, 2003                 [Page 6]
 
-Brim                     Expires April 25, 2003                 [Page 6]
-
-Internet-Draft             WG IPR Guidelines                October 2002
-
+Internet-Draft             WG IPR Guidelines               February 2003
 
-4.4 VRRP (Virtual Router Redundancy Protocol)
 
-   The working group was standardizing VRRP based on a protocol
-   developed outside the IETF.  The IPR holder supported that protocol
+   developed outside the IETF.  The IPR claimant supported that protocol
    and stated that it would license its IPR for that protocol if it
    became the standard, but not for the similar protocol the working
    group was developing.  The working group participants decided to go
-   ahead and standardize its protocol anyway.  The IPR holder has only
-   asserted its patent when someone else asserted a patent against it.
+   ahead and standardize its protocol anyway.  The IPR claimant has only
+   claimed its patent when someone else claimed a patent against it.
    There is no evidence that the working group participants actually
    thought about the implications of the IPR when it went ahead with its
    choice of protocol.
 
    Lessons:
 
-   o  IPR assertions should never be disregarded without good cause.
-      Due diligence should be done to understand the consequences of
-      each assertion.
+   o  IPR claims should never be disregarded without good cause.  Due
+      diligence should be done to understand the consequences of each
+      claim.

 4.5 Secure Shell (SecSH)
 
    This was primarily a trademark issue, not a patent issue, since the
    patent issue had been worked out outside of the IETF.  The holder of
-   a trademark wanted the IETF to stop using "SSH" in the names and text
-   of its proposed standards.  The working group participants thought
-   through the details of the claims, and possible implications and
-   risks, and decided to go ahead and continue using the names as they
-   are now.  This issue is still being worked through.
+   a trademark wanted the IETF to stop using "SSH" in the names and
+   bodies of its proposed standards.  The working group participants
+   thought through the details of the claims, and possible implications
+   and risks, and decided to go ahead and continue using the names as
+   they are now.  This issue is still being worked through.
 
    Lessons:
 
-   o  Working group participants can evaluate IPR assertions not only
-      for their possible validity, but also for the risk of misjudging
-      that validity.  The impact of honoring the IPR claim may be major
-      or minor.
+   o  Working group participants can evaluate IPR claims not only for
+      their possible validity, but also for the risk of misjudging that
+      validity.  The impact of honoring the IPR claim may be major or
+      minor.

 4.6 IDN (Internationalized Domain Name)
 
-   The IDN working group dealt with a number of IPR assertions.  Several
-   were made which did not overlap with the technology -- the IPR
-   asserters said the patents were being announced just in case the
-   working group decided to go that way.  In one case, even though a
-   patent was announced as purely defensive, the working group
-   participants investigated the claims themselves.  They concluded that
-   it did not overlap.
+   The IDN working group dealt with a number of IPR claims. Several were
+   made which did not overlap with the technology -- the IPR claimants
+   said the patents were being announced just in case the working group
+   decided to go that way. In one case, even though a patent was
+   announced as purely defensive, the working group participants
+   investigated the claims themselves. They concluded that it did not
+   overlap.
 
+   In one case, an IPR claimer asserted that the working group's
+   documents, and in fact the IETF as a whole, were infringing on its
+   rights.  Individual working group participants consulted with their

-Brim                     Expires April 25, 2003                 [Page 7]
+Brim                    Expires August 19, 2003                 [Page 7]
 
-Internet-Draft             WG IPR Guidelines                October 2002
+Internet-Draft             WG IPR Guidelines               February 2003

-   In one case, an IPR claimer asserted that the working group's
-   documents, and in fact the IETF as a whole, were infringing on its
-   rights.  Individual working group participants consulted with their
    legal advisers, concluded that the claims would not overlap the
    working group's developing technology, and decided to ignore the
    claims.  This was reflected in the direction the group as a whole
@@ -411,17 +409,17 @@
    participants thought might apply to one of their main drafts.  If it
    did, it could affect their work profoundly -- to the extent that some
    suggested that if they could not work out reasonable licensing terms
-   with the IPR holder they might just disband.  As a group and
-   individually, participants corresponded with IPR holder in order to
-   get an explicit statement of licensing terms, preferably royalty-
-   free.  By doing so they gained a better understanding of just which
-   WG activities were seen as infringing on the patent, and at least
-   some understanding of the IPR holder's intentions and philosophy.
-   Since the patent holder seemed to have an interest in using the
-   patent for profit, the group discussed the issues on its mailing
-   list.  They overtly talked about how they could change their proposed
-   technology to avoid having to contest the patent, and the extent to
-   which the patent might be countered by claims of prior art.
+   with the IPR claimant they might just disband.  As a group and
+   individually, participants corresponded with IPR claimant in order to
+   get an explicit statement of licensing terms, preferably
+   royalty-free.  By doing so they gained a better understanding of just
+   which WG activities were seen as infringing on the patent, and at
+   least some understanding of the IPR claimant's intentions and
+   philosophy.  Since the patent holder seemed to have an interest in
+   using the patent for profit, the group discussed the issues on its
+   mailing list. They overtly talked about how they could change their
+   proposed technology to avoid having to contest the patent, and the
+   extent to which the patent might be countered by claims of prior art.
    Meanwhile, individually they were talking to their legal advisors.
    Gradually, a collective opinion formed that the working group
    documents did not infringe on the patent.  Since then, the patent has
@@ -436,20 +434,20 @@
    o  Possibilities of prior art should be considered.
 
    o  It's all right, and sometimes beneficial, to discuss IPR claims
-      and gather information about possible prior art on the group list
-      (but remember that neither the IETF nor any working group takes a
-      stand on such claims as a body, and the group is not the best
-      place to get legal advice).
+      and gather information about possible prior art on the group list.
+      The results of such discussion can be considered when deciding
+      whether to develop a technology (but remember that neither the
+      IETF nor any working group takes a stand on such claims as a body,
+      and the group is not the best place to get legal advice).

 
-Brim                     Expires April 25, 2003                 [Page 8]
 
-Internet-Draft             WG IPR Guidelines                October 2002
 
+Brim                    Expires August 19, 2003                 [Page 8]
 
-   o
+Internet-Draft             WG IPR Guidelines               February 2003

 5. General Principles
@@ -457,7 +455,9 @@
    Given the case studies above, here are a few principles that working
    groups can start with in dealing with IPR.  Of course every working
    group needs to follow its own consensus, and actual treatments will
-   vary as much as they have in the past.
+   vary as much as they have in the past. However, every working group
+   also needs to take IPR seriously, and follow these general
+   principles.
 
 5.1 Types of IPR
 
@@ -484,10 +484,9 @@
 5.2 When to think about IPR
 
    This memo does not describe IPR procedures for document authors or
-   IPR asserters.  Rather, this memo is for working groups that are
-   trying to decide what to do about IPR-protected technology
-   contributions.  A working group as a whole (as opposed to individual
-   contributors or IPR holders) needs to think about IPR issues:
+   IPR claimants.  Rather, this memo is for working groups that are
+   trying to decide what to do about IPR claims related to their work.
+   A working group as a whole needs to think about IPR issues:
 
    o  when examining a technology, and deciding whether to initiate work
       on it.
@@ -498,35 +497,38 @@
    o  when choosing between two or more working group drafts that use
       different technologies.
 
+   o  when deciding whether to depend on a technology developed outside

-Brim                     Expires April 25, 2003                 [Page 9]
 
-Internet-Draft             WG IPR Guidelines                October 2002
+Brim                    Expires August 19, 2003                 [Page 9]
+
+Internet-Draft             WG IPR Guidelines               February 2003

-   o  when deciding whether to depend on a technology developed outside
       the working group.
 
    o  when comparing different kinds of IPR protection.
 
    At each of these times, the working group should solicit disclosure
-   of IPR assertions and licensing terms.  A working group's job will be
-   a lot easier if IPR details are discovered early, but it should
-   realize that IPR assertions may appear at any time.  An IPR holder
-   which does not participate in the IETF may choose to wait, while the
-   relevant technology is being discussed and evaluated, perhaps
-   modifying its claims during this time.
+   of IPR claims and licensing terms.  A working group's job will be a
+   lot easier if IPR details are discovered early, but it should realize
+   that IPR claims may appear at any time.  Working groups should
+   anticipate that an IPR claimant might choose not to participate in
+   the IETF, but instead to monitor from a distance while the relevant
+   technology is being discussed and evaluated.  Actual IPR claims may
+   therefore depend upon when a claimant steps forward during the course
+   of a WG's deliberations.
 
 5.3 IPR as a Technology Evaluation Factor
 
-   How do you weigh IPR assertions against other issues when deciding
+   How do you weigh IPR claims against other issues when deciding
    whether to adopt a technology?
 
    The ultimate goal of the IETF is to promote the overall health,
    robustness, flexibility and utility of the Internet infrastructure.
    We base architectural decisions on our long-term extrapolations of
-   requirements, by thinking in these terms.  When considering a
+   requirements by thinking in these terms.  When considering a
    particular technology, we compare it with other technologies not just
    for its elegance of design in and of itself, but also for how it fits
    in the bigger picture.  This is done at multiple levels.  It is
@@ -552,33 +554,39 @@
    unlikely that a working group, as an entity, can ever claim to have
    reached consensus on most IPR issues.  The IETF as a whole, and a
    working group as a whole, takes no stance on the validity of any IPR
-   claim.  It would be inappropriate for a working group chair to

-Brim                     Expires April 25, 2003                [Page 10]
+Brim                    Expires August 19, 2003                [Page 10]
 
-Internet-Draft             WG IPR Guidelines                October 2002
+Internet-Draft             WG IPR Guidelines               February 2003

+   claim.  It would be inappropriate for a working group chair to
    declare that consensus had been reached that, for example, a
    company's patent was invalid.  Individual participants will need to
    use whatever legal advice resources they have access to to form their
-   own individual opinions, but discussions about the validity of IPR
-   should not take place under the auspices of the working group.
+   own individual opinions.  Discussions about the validity of IPR can
+   take place under the auspices of the working group, in particular
+   about relative risks of technology choices. Individual participants
+   can take these discussions into account.  The working group as a body
+   may not take a stance on validity, but it may make choices based on
+   perceived risk.
 
-5.4 Patents versus Pending Patents
+5.4 Patents versus Pending Patents Applied For
 
-   The IETF does not (cannot) expect IPR asserters to tell a working
+   The IETF does not (cannot) expect IPR claimants to tell a working
    group specifically how they think a particular patent applies.  If a
    patent has already been granted, the IETF can reasonably expect
    disclosure of the patent number, which will allow working group
    participants to explore details of the claims.  If a patent has not
-   yet been granted, significantly less information is available.  In
-   most countries patent applications are published 18 months after they
-   are filed, but in the USA that can be avoided if the applicant does
-   not also file outside the USA.  Details of pending patent claims can
-   be modified at any time by the claim submitter before the patent is
+   yet been granted (or if knowledge of the patent is restricted, e.g.
+   for security reasons), significantly less information is available.
+   In most countries patent applications are published 18 months after
+   they are filed, but in the USA that can be avoided if the applicant
+   does not also file outside the USA.  In some countries applications
+   are a matter of public record, but details of pending claims can be
+   modified at any time by the claim submitter before the patent is
    granted.  It is not known before then what rights will actually be
    granted.  Finally, rights can be contested in court, and nothing is
    final until the courts decide.  All the IETF can expect regarding a
@@ -587,8 +595,8 @@
 
 5.5 Applicability: It's Hard to Prove a Negative
 
-   Working group participants need to make their own decisions about
-   what level of confidence they need as to whether IPR is applicable.
+   Working group participants must make their own decisions about what
+   level of confidence they need as to whether IPR is applicable.
    However, perfect knowledge is not a worthwhile goal.
 
    In general, a working group should strive to find out about all IPR
@@ -601,36 +609,43 @@
    and internally to their employers, it is impossible to prove that a
    particular technology is not covered by a particular IPR claim, let
    alone proving that it is not covered by any IPR claim.  Anything a
-   working group adopts may, in the future, turn out to be IPR-
-   protected, although the IPR assertion may not be discovered until
-   years later.  Claims are open to interpretation even after rights are
-   granted.  Drafts can be very fluid, even up to the time of last call,
-   and IPR issues may unknowingly be taken on at any time.  Absolute
-   certainty about IPR claims is extremely rare.
+   working group adopts may, in the future, turn out to be
 
-   However, the level of confidence needed to consider IPR when

+Brim                    Expires August 19, 2003                [Page 11]
 
-Brim                     Expires April 25, 2003                [Page 11]
+Internet-Draft             WG IPR Guidelines               February 2003
 
-Internet-Draft             WG IPR Guidelines                October 2002
 
+   IPR-protected, although the IPR claim may not be discovered until
+   years later.  Claims are open to interpretation even after rights are
+   granted.  Drafts can be very fluid, even up to the time of last call,
+   and IPR issues may unknowingly be taken on at any time.  Absolute
+   certainty about IPR claims is extremely rare.
 
+   However, the level of confidence needed to consider IPR when
    evaluating a technology is often not hard to get to.  There are cases
    where risk is high (e.g.  where licensing terms may be onerous) and
    thus a high level of confidence about applicability is needed, but
    history shows that most of the time "rough" confidence is good
    enough.  In any case, perfect confidence is usually impossible.
 
+   In all cases, licensing terms are a more significant consideration
+   than the validity of the IPR claims.  Most of the time licensing
+   terms are reasonable and do not limit the usefulness of the
+   technology.  It is difficult to be sure about the validity of IPR
+   claims.  If the licensing terms can be determined to be reasonable,
+   then the IPR claims become much less important.
+
 5.6 No Universal License Terms
 
-   Licensing terms vary continuously across a range from prohibitive to
-   no license at all.  In general there are four classes of situation
+   Licensing terms vary across a range from prohibitive to no license
+   required at all.  In general there are four classes of situation
    which will be encountered.
 
-   o  No license - licenses per se are not available.  Local
-      regulations, if any, apply.
+   o  No license - licenses per se are not available. Local regulations,
+      if any, apply.
 
    o  Public domain - the technology is explicitly made available to
       all, without any IPR claims.
@@ -640,53 +655,52 @@
       the technology, for example regarding redistribution.  There is a
       form of this license which invokes "reciprocity", in which the
       technology may be used as long as the licensee allows the IPR
-      holder to use the licensee's technology in the same area under
+      claimant to use the licensee's technology in the same area under
       comparable terms.  A requirement for general reciprocity is also
       possible, under which the technology is made available as long as
       the licensee does not enforce any IPR claims against the licenser.
 
    o  "Reasonable and non-discriminatory" (RAND) terms - the license is
       granted based on some terms which may include reciprocity.  The
-      terms can vary tremendously.  Even when IPR assertions do use
-      words such as "reasonable", "fair", and "non-discriminatory",
-      working groups should keep in mind that these words have no
-      objective legal definition, at least not in this context.
+      terms can vary tremendously.  Even when IPR claims do use words
+      such as "reasonable", "fair", and "non-discriminatory", working
+      groups should keep in mind that these words have no objective
+      legal definition, at least not in this context.
 
-   Many IPR holders do not like to publish explicit, specific terms
-   under which they will issue licenses.  They may use standard terms
-   for many licensees, but they prefer to negotiate terms for some.
-   Therefore, do not expect any IPR claim to lay out detailed blanket
-   terms for licensing.
 
-   Vaguer terms are not necessarily better or worse than more specific
-   terms.  If an IPR assertion lists only vague terms, that doesn't mean
-   the terms that will be offered in individual licenses will be any
-   worse than those offered in an IPR assertion that makes very specific
-   statements.  Obviously, if an IPR claimant refuses to suggest any
-   terms at all, the working group is going to have trouble evaluating
-   the future utility of the technology.
 
+Brim                    Expires August 19, 2003                [Page 12]
 
+Internet-Draft             WG IPR Guidelines               February 2003
 
-Brim                     Expires April 25, 2003                [Page 12]
 
-Internet-Draft             WG IPR Guidelines                October 2002
+   Many IPR claimants do not like to publish specific terms under which
+   they will issue licenses. They may use standard terms for many
+   licensees, but they prefer to negotiate terms for some.  Therefore,
+   do not expect any IPR disclosure statement to lay out detailed
+   blanket terms for licensing.
 
+   If an IPR disclosure statement lists only vague terms, that doesn't
+   mean the terms that will be offered in individual licenses will be
+   any worse than those offered in an IPR claim that makes very specific
+   statements. Obviously, if an IPR claimant refuses to suggest any
+   terms at all, the working group is going to have trouble evaluating
+   the future utility of the technology.
 
-   Recall that words such as "reasonable", "fair", and "non-
-   discriminatory" have no objective legal or financial definition.
-   Also, IPR holders have occasionally asserted that there were already
-   sufficient licenses for a particular technology to meet "reasonable"
-   multisource and competitiveness requirements and, hence, that
-   refusing to grant any licenses to new applicants was both fair and
-   nondiscriminatory.  The best way to find out what an IPR holder
+   Recall that words such as "reasonable", "fair", and
+   "non-discriminatory" have no objective legal or financial definition.
+   Also, IPR claimants have occasionally asserted that there were
+   already sufficient licenses for a particular technology to meet
+   "reasonable" multisource and competitiveness requirements and, hence,
+   that refusing to grant any licenses to new applicants was both fair
+   and nondiscriminatory.  The best way to find out what an IPR claimant
    really means by those terms is to ask, explicitly.  It also helps to
    gather knowledge about licenses actually issued, for that technology
-   or for others, and about other experiences with the IPR holder.
+   or for others, and about other experiences with the IPR claimant.
 
-   Despite the fact that IPR holders often don't like to publish
+   Despite the fact that IPR claimants often don't like to publish
    explicit terms, there are levels of vagueness, and individuals and
-   even working groups can sometimes successfully push an IPR holder
+   even working groups can sometimes successfully push an IPR claimant
    toward less vagueness.  The employers of IETF participants all know
    that that IETF prefers explicit terms, and do feel pressure to
    produce them.
@@ -696,19 +710,82 @@
    technology, they can possibly extrapolate from history.  As part of
    the standards process as described in RFC2026 [2], in order for
    licensed technology to become a draft standard, at least two
-   independent licenses need to have been issued.  If the IPR holder for
-   the technology the working group is considering has licensed other
-   technology in the past, there is a record of the sorts of terms they
-   are willing to grant, at least in those two specific cases.  This
-   sort of thing is weak but if everything counts, it may be some
+   independent licenses need to have been issued.  If the IPR claimant
+   for the technology the working group is considering has licensed
+   other technology in the past, there is a record of the sorts of terms
+   they are willing to grant, at least in those two specific cases. This
+   sort of thing is weak but everything counts, and it may be some
    indication.
 
+5.7 Third Party Disclosure
+
+   Formal procedures for third party disclosures are the same as those
+   outlined in [5].  However, before those procedures are followed some
+   preliminary explorations are a good idea.  Third party disclosure is
+
+
+
+Brim                    Expires August 19, 2003                [Page 13]
+
+Internet-Draft             WG IPR Guidelines               February 2003
+
+
+   a potential denial of service threat to the working group, and
+   therefore it is good form to proceed slowly.
+
+   In general a potential discloser should exchange mail with the
+   working group chair(s) first, to open the way for discussion.  Also,
+   if the potential discloser is not sure if the IPR claim applies, this
+   is the time to reach some kind of agreement with the working group
+   chairs before saying anything publicly.  After discussion with the
+   working group chairs, they should bring the issue to the attention of
+   the working group, and to the attention of the IPR claimant if doing
+   so is not too difficult.  Such discussion should help the potential
+   discloser to become more sure, one way or the other.  If they are
+   sure the discovered IPR claim applies, and the IPR claimant does not
+   submit a firstparty disclosure itself, then they have a
+   responsibility to submit a third party disclosure.
+
+   Intellectual property often applies to more than one working group.
+   A person thinking of third party disclosure should consider what
+   other working groups might be affected, and communicate with them in
+   the same manner.
+
+   Don't bring up IPR issues that are unrelated to the areas where the
+   WG is focusing at that time.  Don't bring claims to the WG's
+   attention just in case it might go there in a few months, only if it
+   has implications for current work. Messages to the working group list
+   should be substantive and a single message should focus on a specific
+   issue.  They can reference multiple claims or patents related to that
+   issue.
+
+   Working group participants should be aware that third party
+   disclosure can be used, knowingly or unknowingly, to defocus and
+   distract the working group and hinder its progress.  They should
+   evaluate 3rd party claims accordingly.  WG chairs should be willing
+   and able to discipline those they think are using the third party
+   disclosure system inappropriately. Those who think they are being
+   unfairly blocked may take the matter up with the Area Directors and/
+   or the IESG.
+
+   All of the criteria for evaluating IPR claims discussed in the
+   sections above apply in the case of third party disclosures as well,
+   to the extent they can be practiced.
+
 6. Security Considerations
 
    This memo relates to IETF process, not any particular technology.
    There are security considerations when adopting any technology,
    whether IPR-protected or not.  A working group should take those
    security considerations into account as one part of evaluating the
+
+
+
+Brim                    Expires August 19, 2003                [Page 14]
+
+Internet-Draft             WG IPR Guidelines               February 2003
+
+
    technology, just as IPR is one part, but they are not issues of
    security with IPR procedures.
 
@@ -717,18 +794,11 @@
    unintentionally revealing corporate intellectual property through
    human activity than risking anything when using a protocol.
 
-References (Non-Normative)
+Informative References
 
    [1]  IETF, "IPR Working Group web page", 2002, <http://www.ietf.org/
         html.charters/ipr-charter.html>.
 
-
-
-Brim                     Expires April 25, 2003                [Page 13]
-
-Internet-Draft             WG IPR Guidelines                October 2002
-
-
    [2]  Bradner, S., "The Internet Standards Process -- Revision 3", BCP
         9, RFC 2026, October 1996.
 
@@ -739,10 +809,12 @@
         2945, September 2000.
 
    [5]  Bradner, S., "Intellectual Property Rights in IETF Technology",
-        draft-bradner-ipr-technology-00 (work in progress), July 2002.
+        draft-ietf-ipr-technology-rights-01 (work in progress), February
+        2003.
 
-   [6]  Bradner, S., "IETF Rights in Submissions", draft-bradner-
-        submission-rights-00 (work in progress), June 2002.
+   [6]  Bradner, S., "IETF Rights in Submissions",
+        draft-ietf-ipr-submission-rights-01 (work in progress), February
+        2003.

 Author's Address
@@ -765,29 +837,37 @@

+Brim                    Expires August 19, 2003                [Page 15]
 
+Internet-Draft             WG IPR Guidelines               February 2003

+Intellectual Property Statement
 
+   The IETF takes no position regarding the validity or scope of any
+   intellectual property or other rights that might be claimed to
+   pertain to the implementation or use of the technology described in
+   this document or the extent to which any license under such rights
+   might or might not be available; neither does it represent that it
+   has made any effort to identify any such rights. Information on the
+   IETF's procedures with respect to rights in standards-track and
+   standards-related documentation can be found in BCP-11. Copies of
+   claims of rights made available for publication and any assurances of
+   licenses to be made available, or the result of an attempt made to
+   obtain a general license or permission for the use of such
+   proprietary rights by implementors or users of this specification can
+   be obtained from the IETF Secretariat.
 
-
-
-
-
-
-
-
-
-
-
-Brim                     Expires April 25, 2003                [Page 14]
-
-Internet-Draft             WG IPR Guidelines                October 2002
+   The IETF invites any interested party to bring to its attention any
+   copyrights, patents or patent applications, or other proprietary
+   rights which may cover technology that may be required to practice
+   this standard. Please address the information to the IETF Executive
+   Director.

 Full Copyright Statement
 
-   Copyright (C) The Internet Society (2002).  All Rights Reserved.
+   Copyright (C) The Internet Society (2003). All Rights Reserved.
 
    This document and translations of it may be copied and furnished to
    others, and derivative works that comment on or otherwise explain it
@@ -804,15 +884,24 @@
    English.
 
    The limited permissions granted above are perpetual and will not be
-   revoked by the Internet Society or its successors or assigns.
+   revoked by the Internet Society or its successors or assignees.
 
    This document and the information contained herein is provided on an
    "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING
    TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING
    BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION
+
+
+
+Brim                    Expires August 19, 2003                [Page 16]
+
+Internet-Draft             WG IPR Guidelines               February 2003
+
+
    HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF
    MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 
+
 Acknowledgement
 
    Funding for the RFC Editor function is currently provided by the
@@ -836,5 +925,30 @@

-Brim                     Expires April 25, 2003                [Page 15]
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+Brim                    Expires August 19, 2003                [Page 17]
+

---

From: "Bob Wyman" <[email-masked]>
Date: Tue, 18 Feb 2003 19:36:33 -0500

draft-ietf-ipr-wg-guidelines-01.txt states:
> A working group as a whole needs to think about IPR issues:
	Could we have some discussion of what it means to "think about"
these issues and what the mechanisms are for the working group to
"solicit disclosure of IPR claims"?

	It has been suggested by some that simply knowing that a patent
exists can increase an individual's liability (treble damages?). Thus,
would any public "thinking" or soliciting of IPR claims cause WG
participants to be compromised? Can one of the lawyers in the group
respond to this? (Jorge?)
	Does "thinking about" the problem include having members of the
group notify the group when they have concerns? (i.e. if I know of a
patent and "think" it impacts a group, can I tell anyone if it is not my
patent?)
	Is there a need for forums, distinct from the technical forums,
where one can discuss IPR issues without causing every technical group
to devolve in a contest between wannabe lawyers and soap-box for
anti-patent partisans? (perhaps as an example: SIMPLE-IPR for IPR
discussions to compliment the SIMPLE list?)
	If "thinking about" IPR is a thing to be done "when examining a
technology, and deciding whether to initiate work on it" is this
something that applies to the entire WG or does it apply to WG
participants who may be considering whether some new effort should be
suggested? (i.e. If I am "thinking about" suggesting that some WG
consider some feature but then decide that I can't suggest it due to IPR
issues, can I give the negative suggestion that "We should not think
about this since XXX has a patent on it."?)

		bob wyman

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Scott Bradner <[email-masked]>
Date: Tue, 18 Feb 2003 19:41:23 -0500 (EST)

> exists can increase an individual's liability (treble damages?).

are there any facts that back this up?

Scott